#include "queue.h"
namespace vulkanapi {
	const string Queue::TransferQueue("TransferQueue");
	const string Queue::RenderQueue("RenderQueue");
	const string Queue::ComputeQueue("ComputeQueue");
	const string Queue::PresentQueue("PresentQueue");
	Queue::Queue(const string& name, uint32_t queueFamilyIndex, VkQueue queue)
		: mName(name), mQueueFamilyIndex(queueFamilyIndex), mPtr(queue)
	{

	}
}

